Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Class ComponentEventRequestParameters

    java.lang.Object
      org.apache.tapestry5.services.ComponentEventRequestParameters

    public final class ComponentEventRequestParameters

extends java.lang.Object

Encapsulates all the information that may be provided in a component event request URL.

Constructor Summary
`ComponentEventRequestParameters(java.lang.String activePageName, java.lang.String containingPageName, java.lang.String nestedComponentId, java.lang.String eventType, EventContext pageActivationContext, EventContext eventContext)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getActivePageName()` The name of the active page which rendered the link.
`java.lang.String` | `getContainingPageName()` The name of the page containing the component that was triggered.
`EventContext` | `getEventContext()` The event context information passed in the URL.
`java.lang.String` | `getEventType()` The type of event.
`java.lang.String` | `getNestedComponentId()` The path from the containing page down to the component in question.
`EventContext` | `getPageActivationContext()` The activation context for the active page, possibly empty (but not null).
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentEventRequestParameters

    public ComponentEventRequestParameters(java.lang.String activePageName,
                                           java.lang.String containingPageName,
                                           java.lang.String nestedComponentId,
                                           java.lang.String eventType,
                                           EventContext pageActivationContext,
                                           EventContext eventContext)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getActivePageName

    public java.lang.String getActivePageName()

  The name of the active page which rendered the link. This is usually, but not always, the page which contains the component.

  Returns:
    `canonicalized` page name

### getContainingPageName

    public java.lang.String getContainingPageName()

  The name of the page containing the component that was triggered. Usually this is the same as the active page, but because of `Block` and similar constructs, a component from other than the active page may be rendered with the active page.

  Returns:
    `canonicalized` page name

### getNestedComponentId

    public java.lang.String getNestedComponentId()

  The path from the containing page down to the component in question. This may be the empty string if the action request is routed directly to the page rather than a component.

### getEventType

    public java.lang.String getEventType()

  The type of event. When not specified in the URL, a default type of "action" (`EventConstants.ACTION`) is provided.

### getPageActivationContext

    public EventContext getPageActivationContext()

  The activation context for the active page, possibly empty (but not null).

  See Also:
    `ComponentResourcesCommon.triggerContextEvent(String, org.apache.tapestry5.EventContext, org.apache.tapestry5.ComponentEventCallback)`

### getEventContext

    public EventContext getEventContext()

  The event context information passed in the URL. Possibly empty (not not null).

  See Also:
    `ComponentResourcesCommon.triggerContextEvent(String, org.apache.tapestry5.EventContext, org.apache.tapestry5.ComponentEventCallback)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.